curl --request GET \
--url https://api.checklyhq.com/v1/status-pages/{statusPageId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.checklyhq.com/v1/status-pages/{statusPageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.checklyhq.com/v1/status-pages/{statusPageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"url": "<string>",
"id": "<string>",
"description": "<string>",
"customDomain": "<string>",
"themeColors": {
"light": {
"bodyBackgroundColor": "<string>",
"headerBackgroundColor": "<string>",
"headerFontColor": "<string>",
"titleFontColor": "<string>",
"bodyFontColor": "<string>",
"bodyFontColorMuted": "<string>",
"navigationFontColor": "<string>",
"linkFontColor": "<string>",
"cardBackgroundColor": "<string>",
"borderColor": "<string>",
"primaryButtonBackgroundColor": "<string>",
"primaryButtonFontColor": "<string>"
},
"dark": {
"bodyBackgroundColor": "<string>",
"headerBackgroundColor": "<string>",
"headerFontColor": "<string>",
"titleFontColor": "<string>",
"bodyFontColor": "<string>",
"bodyFontColorMuted": "<string>",
"navigationFontColor": "<string>",
"linkFontColor": "<string>",
"cardBackgroundColor": "<string>",
"borderColor": "<string>",
"primaryButtonBackgroundColor": "<string>",
"primaryButtonFontColor": "<string>"
}
},
"logo": "<string>",
"logoDark": "<string>",
"redirectTo": "<string>",
"favicon": "<string>",
"defaultTheme": "AUTO",
"cards": [
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-12-25",
"services": [
{
"name": "<string>",
"id": "<string>",
"accountId": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25"
}
],
"updated_at": "2023-12-25"
}
],
"version": 123,
"whiteLabel": true,
"isPrivate": false,
"projectBindings": {
"owner": {
"project": {
"id": "<string>",
"logicalId": "<string>",
"name": "<string>"
},
"binding": {
"logicalId": "homepage-check",
"pending": true
}
},
"references": [
{
"project": {
"id": "<string>",
"logicalId": "<string>",
"name": "<string>"
},
"binding": {
"logicalId": "homepage-check",
"pending": true
}
}
]
}
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}Retrieve a single status page by id.
Get status page data, including cards and services.
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Path Parameters
Response
Successful
500A custom user domain, e.g. "status.example.com". See the docs on updating your DNS and SSL usage.
Show child attributes
Show child attributes
LIGHT, DARK, AUTO Show child attributes
Show child attributes
The Checkly CLI projects that manage this resource. owner is null and references empty when the resource is not managed by code.
Show child attributes
Show child attributes
Was this page helpful?